Welcome! Log In Create A New Profile

Advanced

Re: nginx-1.9.11

Maxim Dounin
February 10, 2016 10:10PM
Hello!

On Wed, Feb 10, 2016 at 09:30:49PM -0500, qbitx wrote:

> I'm having issues with 1.9.11. With the exact same build configuration as I
> used for 1.9.10, and the exact same config files for nginx - I am now
> getting this when I run nginx -t at the command-line:
>
> nginx: [emerg] unknown directive "charset" in /etc/nginx/nginx.conf:62
> nginx: configuration file /etc/nginx/nginx.conf test failed
>
> When I comment out that particular line in the nginx.conf file, I am then
> presented with another error:
>
> nginx: [emerg] unknown directive "add_header" in /etc/nginx/ssl.conf:28
> nginx: configuration file /etc/nginx/nginx.conf test failed
>
> Not sure why I'm observing this behavior, when the exact same build
> configuration for 1.9.10 worked just fine. It seems like some of the core
> modules (e.g.: ngx_http_charset_module, ngx_http_headers_module) are somehow
> missing from my build? Am I missing something? These are the
> module-related flags I provide to "./configure":

[...]

> --add-module=$HOME/naxsi-${NAXSI_VER}/naxsi_src \
> --add-module=$HOME/ngx_pagespeed-${PAGESPEED_VER}-beta

Most likely this is ngx_pagespeed 3rd party module which causes
the problem you are seeing. It tries to do unsupported
modifications of order of modules, and was beaten by internal
changes in configure scripts in 1.9.11. Quick look suggests the
problem is expected to be fixed by this changeset:

https://github.com/pagespeed/ngx_pagespeed/commit/daa6031294403a25a4fd2f4c7b6a16a349df8af2

That is, either update ngx_pagespeed to the latest git checkout,
or compile nginx without it.

--
Maxim Dounin
http://nginx.org/

_______________________________________________
nginx mailing list
nginx@nginx.org
http://mailman.nginx.org/mailman/listinfo/nginx
Subject Author Posted

nginx-1.9.11

Maxim Dounin February 09, 2016 09:30AM

Re: nginx-1.9.11 -- "Floating point exception" on exec after upgrading 1.9.10 -> 1.9.11

Anonymous User February 09, 2016 10:20AM

Re: nginx-1.9.11 -- "Floating point exception" on exec after upgrading 1.9.10 -> 1.9.11

Anonymous User February 09, 2016 10:42AM

Re: nginx-1.9.11 -- "Floating point exception" on exec after upgrading 1.9.10 -> 1.9.11

locojohn February 09, 2016 11:53AM

Re: nginx-1.9.11 -- "Floating point exception" on exec after upgrading 1.9.10 -> 1.9.11

Valentin V. Bartenev February 09, 2016 11:58AM

Re: nginx-1.9.11 -- "Floating point exception" on exec after upgrading 1.9.10 -> 1.9.11

locojohn February 09, 2016 12:01PM

Re: nginx-1.9.11 -- "Floating point exception" on exec after upgrading 1.9.10 -> 1.9.11

jshare February 10, 2016 05:01AM

RE: nginx-1.9.11 -- "Floating point exception" on exec after upgrading 1.9.10 -> 1.9.11

Lukas Tribus February 10, 2016 06:18AM

Re: nginx-1.9.11 -- "Floating point exception" on exec after upgrading 1.9.10 -> 1.9.11

Maxim Dounin February 10, 2016 08:02AM

Re: nginx-1.9.11 -- "Floating point exception" on exec after upgrading 1.9.10 -> 1.9.11

jshare February 11, 2016 03:40AM

Re: nginx-1.9.11 -- "Floating point exception" on exec after upgrading 1.9.10 -> 1.9.11

jshare February 18, 2016 03:31AM

Re: nginx-1.9.11

A. Schulze February 09, 2016 03:02PM

Re: nginx-1.9.11

itpp2012 February 09, 2016 03:05PM

Re: nginx-1.9.11

Roman Arutyunyan February 09, 2016 03:44PM

Re: nginx-1.9.11 (Patch to build rDNS module)

A. Schulze February 09, 2016 04:32PM

Re: nginx-1.9.11 (Patch to build rDNS module)

A. Schulze February 13, 2016 01:20PM

Re: nginx-1.9.11

qbitx February 10, 2016 09:30PM

Re: nginx-1.9.11

Maxim Dounin February 10, 2016 10:10PM



Sorry, only registered users may post in this forum.

Click here to login

Online Users

Guests: 78
Record Number of Users: 6 on February 13, 2018
Record Number of Guests: 421 on December 02, 2018
Powered by nginx      Powered by FreeBSD      PHP Powered      Powered by MariaDB      ipv6 ready